> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contacts



## OpenAPI

````yaml get /contacts
openapi: 3.0.3
info:
  version: 1.0.0
  title: https://public.watermelon.ai
servers:
  - url: https://public.watermelon.ai/api/v1
security: []
paths:
  /contacts:
    get:
      summary: Get Contacts
      operationId: ListContacts
      parameters:
        - in: query
          name: withoutAnonymous
          description: Should the list return anonymous contacts?
          required: false
          schema:
            type: boolean
            default: false
        - $ref: '#/components/parameters/pageParam'
        - $ref: '#/components/parameters/limitParam'
        - $ref: '#/components/parameters/fromParam'
        - $ref: '#/components/parameters/toParam'
      responses:
        '200':
          description: Contacts list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Contact'
        '204':
          description: No contacts found
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  parameters:
    pageParam:
      name: page
      in: query
      description: The page number
      required: false
      schema:
        type: integer
        minimum: 0
    limitParam:
      name: limit
      in: query
      description: The numbers of items per page.
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 25
    fromParam:
      name: from
      in: query
      required: false
      description: The begin of the date range
      schema:
        type: string
        format: date-time
    toParam:
      name: to
      in: query
      required: false
      description: The end of the date range
      schema:
        type: string
        format: date-time
  schemas:
    Contact:
      type: object
      properties:
        id:
          type: integer
          example: 1
        company_id:
          type: integer
        first_name:
          type: string
          example: Walter
        last_name:
          type: string
          example: Melon
        email_address:
          type: string
          example: walter.melon@example.co
        telephone_number:
          type: string
          example: '+316123456789'
        avatar:
          type: string
          example: https://unsplash.com/photos/hUkZv0Y47Ic
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - online
            - offline
            - minimized
            - disconnected
          example: offline
        from_integration:
          type: boolean
        integration:
          type: string
          example: Zapier
        from_whatsapp:
          type: boolean
        from_email:
          type: boolean
        fields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
    Error:
      type: object
      properties:
        code:
          type: integer
          format: int64
        message:
          type: string
        fields:
          type: string
    Field:
      type: object
      properties:
        id:
          type: integer
          example: 1
        company_id:
          type: integer
        icon:
          type: string
          example: information
        name:
          type: string
          example: Order number
        type:
          type: string
          enum:
            - text
            - short_text
            - numbers
            - phone
            - email
            - currency
            - date
          example: text
        order:
          type: integer
        value:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
        is_unique:
          type: boolean
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````